# coding=iso-8859-15
#
# Newsflash action script example.
#
# (c) Sami Visnen 2007
#
# Newsflash action script example. 
#
# Action scripts are aimed to be run by Newsflash as 
# a reaction to some events in the application. Therefore
# any output here should not be sent to stderr or stdout, 
# but passed to the host application through the application api. 
#

import flash.host

flash.host.add_log('$Id: action_example.py,v 1.5 2008/06/25 14:16:34 enska Exp $ ')

#
# These functions are newsflash hook stub functions with
# brief documentation. A script does not have to implement 
# all of these functions.
#

def newsflash_app_error(msg, resource, code=None):
    """ This is the application error hook function.
    This is called whenever there has been an application defined error.
    Msg is the simple error message string.
    Resource is the resource in question to which this error applies.
    Code is the application defined error code. (todo: enum these)"""
    pass


def newsflash_sys_error(msg, resource,code):
    """ This is the system error hook function.
    This is called whenever there has been an error with a system error code.
    Msg is the simple error message string.
    Resource is the resource in question to which the error applies. (A file, network server etc.)
    Code is the platform dependant error code. For linux this is errno and for
    Windows it can be either errno, WSAGetLastError or just GetLastError. (mostly errno) """
    pass


def newsflash_batch_complete(location):
    """ This is the batch_complete action hook function.
    This is called whenever a batch download completes. The argument
    given specifies the location of the batch files (i.e. the folder)
    on the filesystem. """
    pass


def newsflash_file_complete(file):
    """ This is the download_complete action hook function.
    This is called whenever a single file download completes.
    The argument given specifies the location of the file.
    The file can be any kind of file, text or binary. """
    pass

def newsflash_update_complete(location, group):
    """ This is the update_complete action hook function.
    This is called whenever a group update completes.
    Location specifies the location of the datafiles on the
    filesystem (.cat, .idx, .nbr and .nfo files).
    Group is the name of the group, e.g. alt.binaries.mp3."""
    pass
